Subject: bug#4534: assertion failure at window.c:grow_mini_window

From: Juanma Barranquero <[email-masked]>
Date: Fri, 16 Oct 2009 10:32:14 +0200

Martin spend a fair time debugging this problem, but he's now
developing new window code (post 23.2) that will make this obsolete.

AFAICS, the assertion is useless, because removing it causes no ill
effect (i.e., the shrinking/growing minibuffer code seem to be able to
cope with delta < 0). Even if it weren't so, most people are not
running Emacs with xasserts enabled; so any trouble caused by the
assertion not being true is not serious, or would likely have been
reported already.

So I'd suggest just commenting out the xassert.

Thoughts?

    Juanma